Figure - Bug #115817
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd 0 600 O O O O CRASH: com.android.music
2023-02-03 09:54 - CD Test(] [J

Status: CLOSED Start date: 2023-02-03
Priority: Normal Due date: 2023-02-15
Assignee: CD Test O % Done: 100%
Category: CD-APP Estimated time: 0.00 hour
Target version:
Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.0
Resolution: FIXED Degrated: -
Severity: Normal Verified Version:
Reproducibility: Frequently Fixed Version:
Test Type: Monkey Test Root cause: O0OMusicCODOODOODOODOO O medig
Description
oooood
adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes
--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch
10 --pct-anyevent 10 --ignore-crashes -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

// CRASH: com.android.music (pid 9222)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke interface method "android.media.session.ISessionController
android.media.session.1Session.getController() on a null object reference

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1933:user/test-keys

// Build Changelist: 1933

// Build Time: 1675275913000

// java.lang.RuntimeException: Unable to start service com.android.music.MediaPlaybackService@c203046 with Intent {
cmp=com.android.music/.MediaPlaybackService }: java.lang.NullPointerException: Attempt to invoke interface method
‘android.media.session.ISessionController android.media.session.1Session.getController()' on a null object reference

// atandroid.app.ActivityThread.handleServiceArgs(ActivityThread.java:4658)
//atandroid.app.ActivityThread.access$2000(Activity Thread.java:248)
//atandroid.app.ActivityThread$H.handleMessage(ActivityThread.java:2092)

// atandroid.os.Handler.dispatchMessage(Handler.java:106)

//atandroid.os.Looper.loopOnce(Looper.java:201)

//  atandroid.os.Looper.loop(Looper.java:288)

// atandroid.app.ActivityThread.main(Activity Thread.java:7880)

/' atjava.lang.reflect. Method.invoke(Native Method)

//at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

//  at com.android.internal.0s.Zygotelnit.main(Zygotelnit.java:1009)

// Caused by: java.lang.NullPointerException: Attempt to invoke interface method ‘android.media.session.1SessionController
android.media.session.1Session.getController() on a null object reference

// atandroid.media.session.MediaSession.<init>(MediaSession.java:207)

// atandroid.media.session.MediaSession.<init>(MediaSession.java:163)

//  at com.android.music.MediaPlaybackService.updateNotificationMediaStyle(MediaPlaybackService.java:1987)
// at com.android.music.MediaPlaybackService.updateNotification(MediaPlaybackService.java:1817)
//  at com.android.music.MediaPlaybackService.onStartCommand(MediaPlaybackService.java:1023)

// atandroid.app.ActivityThread.handleServiceArgs(ActivityThread.java:4640)
/I ...9more
1l

History

#1 - 2023-02-03 09:59 - CD APP-00 O
- Due date set to 2023-02-04
- Status changed from New to ASSIGNED

#2 - 2023-02-03 10:18 - CD Testd O
- Subject changed from O AFO O EVT20 O Monkey Monkey [0 1000 O [0 O O CRASH: com.android.music to 0 AFC 0 EVT20 O Monkey[l Monkey( O 601 O
0 O O CRASH: com.android.music

#3 - 2023-02-06 15:45 - CD APP-0 O
- Due date changed from 2023-02-04 to 2023-02-07
- Assignee changed from CD APP-O0 O to CD BSPO O

m Current conclusion

goooooMMOOoOooono

m My analysis

0 Logll O O O O MediaPlaybackService D 0 0 0 00 000 0 OO 0O O MediaSession.java:2070 0 0 0 0000000000 O0O0O

http://192.168.87.66:8006/source/xref/Pre_figure turbox-c2130c-lal.1-gssil2-dev/LA.QSSI/LINUX/android/frameworks/base/media/java/android/media/session/MediaS
ession.java#207

mBinder0 O O OO

m Nextaction

OMediaOOOOOOOOODOOOOOO

#4 - 2023-02-08 10:57 - CD BSPO O

00000000 DODOmediasessiond D 0001000 0000000000000
MediaSessionService: java.lang.RuntimeException: Created too many sessions. count=100)
000000Osession0 0000

#5 - 2023-02-10 10:08 -CD TPM-O0 O O
- Due date changed from 2023-02-07 to 2023-02-15
- Assignee changed from CD BSPO O to CD TPM-0 O O

#6 - 2023-02-1011:12-CD TPM-O0 0 O

- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from CD TPM-0 O O to CD TestO O
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/media/java/android/media/session/MediaSession.java#207
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/media/java/android/media/session/MediaSession.java#207

oo

goooOooooooveOOUODO120000DOOO
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/180351
goovBOOODOODO
/Figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20230208/202302081544-136

#7 - 2023-02-14 10:38 - CD TestD O
- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from CD Test(] O to CD TPM-00 0 O

goooooveOOOOOeHOOODOOOD

#8 - 2023-02-14 18:35 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
180351 general/platform/packages/apps/Snapd | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
ragonMusic -dev

AF: SnapdragonMusic: Fix Music application crash in monkey test.Created too many sessions(count>100) over the max value,then create fail and return
NULL.TC-RID: 1201-0301201IssuelD: TS-R-BUG-115817Change-1d: 176ba3a7d655ac19d84b99df8d70b7de35f4e70b0

#9 - 2023-02-14 18:37-CD TPM-0 0O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-0O O O to CD TestO O

- Resolution changed from -- to FIXED

-Rootcausesetto 0 0 O MusicO O OO 00O 0ODODO O mediasessiond OMonkeyD OO OO COOOCOOOOCOOCOOOII000D00DOODODODODOAOCcrashd
gooooobooboboboboboobobooog

#10 - 2023-02-15 10:29 - CD TestO O

- % Done changed from 0 to 70

2/140release0 0000 OO0
Monkeyd 0000002000

#11 - 2023-02-16 11:16 - CD Test [

21550DBO O O0OODODOO
MonkeyD 0 0 00001000

#12 - 2023-02-17 09:41 - CD TestO O
- Status changed from RESOLVED to VERIFIED
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/180351

- % Done changed from 70 to 100

2/16release0 00 00O OO
jo0o3nooooouoooooo

#13 - 2023-02-17 09:41 - CD TestO O
- Status changed from VERIFIED to CLOSED

Files

Tlog.zip 23 MB

2025-07-04

2023-02-03

CD Testd O
